#!/bin/bash

echo "Try to install the missing pacakges."

arch=$(dpkg --print-architecture)

if [ ! -f /usr/share/dde/depends.${arch} ];then
	echo "Missing depends list"
	exit 1
fi

while read -r line; do
        pack=$(dpkg -L ${line} >/dev/null 2>&1)
        if [ $? -ne 0 ];then
		apt install --no-install-recommends --no-install-suggests -y ${line}
		apt-mark manual ${line} >/dev/null 2>&1		
        fi
done < /usr/share/dde/depends.${arch}

